Bug 25446 - RPCNFSDCOUNT per UCR
RPCNFSDCOUNT per UCR
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: NFS
UCS 4.2
Other Linux
: P5 enhancement (vote)
: UCS 4.2-1-errata
Assigned To: Philipp Hahn
Jürn Brodersen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-13 09:34 CET by Janis Meybohm
Modified: 2017-08-09 16:57 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2011-12-13 09:34:50 CET
Es sollte möglich sein die Option RPCNFSDCOUNT (default 8) in /etc/default/nfs-kernel-server per UCR zu definieren. Auf NFS-Server die Exports an viele Server verteilen sollte man so die NFS Performance erhöhen können.
Comment 1 Stefan Gohmann univentionstaff 2017-06-16 20:35:04 CEST
This issue has been filed against UCS 3. UCS 3 is out of the normal maintenance and many UCS components have vastly changed in UCS 4.

If this issue is still valid, please change the version to a newer UCS version otherwise this issue will be automatically closed in the next weeks.
Comment 2 Philipp Hahn univentionstaff 2017-07-28 16:09:53 CEST
UCS-4.2-1: Still hard-coded to 8
Comment 3 Philipp Hahn univentionstaff 2017-07-31 13:10:19 CEST
r81555 | Bug #25446 NFS: Make RPCNFSDCOUNT configurable

Package: univention-nfs
Version: 9.0.0-3A~4.2.0.201707311304
Branch: ucs_4.2-0
Scope: errata4.2-1

r81561 | Bug #32272,Bug #33254,Bug #45101,Bug #25446 NFS. YAML
Comment 4 Jürn Brodersen univentionstaff 2017-07-31 17:13:02 CEST
What I tested:
ucr set nfs/nfsd/services=10
systemctl restart nfs-kernel-server.service
cat /proc/net/rpc/nfsd -> 10 threads -> OK
ucr unset nfs/nfsd/services
systemctl restart nfs-kernel-server.service
cat /proc/net/rpc/nfsd -> 8 threads -> OK

YAML: OK

-> Verified
Comment 5 Arvid Requate univentionstaff 2017-08-09 16:57:13 CEST
<http://errata.software-univention.de/ucs/4.2/130.html>